Doomsday Engine - Bug #2058

[Windows] Adjust client Ul scaling factor according to system DPI setting

2015-05-16 16:31 - skyjake

Status: Closed Start date: 2015-05-16
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 2.0 — Home Ul & Packages

Description

Currently, when running on Windows with a higher than default DPI setting, the Ul is not sized correctly. The client should check the

system DPI setting and adjust the Ul scaling factor accordingly.

For instance, with a 200% Windows scaling the command line option "-dpi 2.0" produces the correct appearance.

Associated revisions

Revision 2cfe5d05 - 2015-08-25 20:00 - skyjake

Windowsl|libappfw: Use system DPI factor to scale Ul elements
IssuelD #2058

Revision a232f857 - 2015-11-22 15:52 - skyjake
Windowsl|libappfw: Use Direct2D to query the desktop DPI factor
The Ul is sized according to the system desktop settings.

IssuelD #2058

History

#1 - 2015-08-25 20:00 - skyjake

- Status changed from New to Closed

- Assignee set to skyjake

- Target version set to 2.0 — Home Ul & Packages

- % Done changed from 0 to 100

#2 - 2015-11-22 14:54 - skyjake
- Status changed from Closed to In Progress

- % Done changed from 100 to 80

#3 - 2015-11-22 15:53 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

The DPI settings can be queried via Direct2D.
